> For the complete documentation index, see [llms.txt](https://docs.ngsurvey.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ngsurvey.com/ar/installation-setup/installation/linux-ubuntu-centos/linux-ssl.md).

# Linux SSL

إذا كنت ترغب في نشر واستخدام ngSurvey على نظام Linux مع نطاق يعمل عبر SSL، فيمكنك استخدام النص البرمجي التالي الذي سينشر ngSurvey باستخدام وكيل عكسي مفعّل بـ SSL من ngInx:

<mark style="color:أحمر;">**للحصول على رمز الوصول الخاص بك، تواصل مع فريق مبيعات ngSurvey.**</mark>

## Ubuntu

يمكنك استخدام النص البرمجي التالي من shell الخاص بـ Ubuntu.

```
curl -o ngs-ubuntu-ssl-docker.sh https://ngsurvey.s3.eu-central-1.amazonaws.com/ngs-ubuntu-ssl-docker.auth.sh 
sudo chmod +x ./ngs-ubuntu-ssl-docker.auth.sh 
sudo ./ngs-ubuntu-ssl-docker.auth.sh YOURDOMAIN.COM ngsurvey YOUR_ACCESSTOKEN
```

سيؤدي ذلك إلى إنشاء شهادة لنطاقك وتكوين ngSurvey تلقائيًا ضمن قناة HTTPS مؤمّنة.&#x20;

{% hint style="danger" %}
تأكد من أن نطاقك مسجل بشكل صحيح في DNS مع عنوان IP الخاص بالمضيف.   &#x20;
{% endhint %}

## قاعدة بيانات مخصصة

بشكل افتراضي، سيستخدم النص البرمجي أعلاه قاعدة بيانات mysql. إذا كنت ترغب في استخدام قاعدة بياناتك الخاصة، يمكنك تعديل ملف /srv/docker/ngsurveyee.ssl.mysql.yml الذي تم تنزيله من النص البرمجي أعلاه واستخدام سلسلة الاتصال الخاصة بك إلى قاعدة بياناتك، ثم إعادة تشغيل إعداد ngsurvey باستخدام الأمر التالي.&#x20;

```
sudo docker-compose -f /srv/docker/ngsurveyee.ssl.mysql.yml up -d
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ngsurvey.com/ar/installation-setup/installation/linux-ubuntu-centos/linux-ssl.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
